-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45
CREATE DATABASE IF NOT EXISTS `seagull`;
USE `seagull`

CREATE TABLE `module` (
  `module_id` int(11) NOT NULL default '0',
  `is_configurable` smallint(1) default NULL,
  `name` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `description` text,
  `admin_uri` varchar(255) default NULL,
  `icon` varchar(255) default NULL,
  `maintainers` text,
  `version` varchar(8) default NULL,
  `license` varchar(16) default NULL,
  `state` varchar(8) default NULL,
  PRIMARY KEY  (`module_id`)
) DEFAULT CHARSET=utf8;

insert into module values( 408, 1, 'wsconnector', 'Web Service Connector', 'Web Service Connector', NULL, NULL, 'OpServices', NULL, 'OTHER', 'alpha');

CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE `audit_ws` (
	`id` int(11) NOT NULL auto_increment,
	`entry_time` datetime NOT NULL default '0000-00-00 00:00:00',
	`contact_id` int(11) NOT NULL,
	`method` varchar(64) NOT NULL,
	`vars` varchar(256) NOT NULL,
	PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;
