%define _rootdir /usr/local/opmon
%define _modname wsconnector

Summary: Seagull wsconnector module
Name: opmon-wsconnector
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
License: Proprietary
Group: Applications/System
URL: http://www.opservices.com.br
Packager: OpServices <info@opservices.com.br>
Vendor: OpServices, http://www.opservices.com.br
BuildArch: noarch
Distribution: OpMon
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: opmon-seagull >= %{_op_major_version}
Provides: opmon-wsconnector
Obsoletes: opservices-wsconnector

%description
OpMon development framework

%prep

%setup 

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_rootdir}/share/seagull/modules/%{_modname} %{buildroot}%{_rootdir}/db
%{__cp} -rp .  %{buildroot}%{_rootdir}/share/seagull/modules/%{_modname}/
%{__cp} db/%{_modname}.sql %{buildroot}%{_rootdir}/db/

%pre

%post
# Database update
/usr/bin/php /usr/local/opmon/db/updatedb.php wsconnector.sql
/bin/rm -rf /usr/local/opmon/share/seagull/var/cache/scat* >/dev/null 2>&1


%preun

%postun


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, opuser, apache, 0755)
%{_rootdir}/share/seagull/modules/%{_modname}/
%{_rootdir}/db/%{_modname}.sql

%changelog

* Fri Apr 03 2009  Fernando Lunardelli <fernando.lunardelli@opservices.com.br> - 1.0.0-1
 - First release
 
